Bug 986533 - SELinux is preventing /usr/bin/gtk-gnash from 'read' accesses on the file pulse-shm-3806488092.
SELinux is preventing /usr/bin/gtk-gnash from 'read' accesses on the file pul...
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-07-20 06:32 EDT by Eric Seynaeve
Modified: 2013-09-11 21:53 EDT (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-74.2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-11 21:53:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Seynaeve 2013-07-20 06:32:24 EDT
Description of problem:
Start firefox in sandbox:

sandbox -X -t sandbox_web_t firefox

Open a youtube video. The video plays but no sound is there.

There is no problem outside of the sandbox.
SELinux is preventing /usr/bin/gtk-gnash from 'read' accesses on the file pulse-shm-3806488092.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that gtk-gnash should be allowed read access on the pulse-shm-3806488092 file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
allow this access for now by executing:
# grep gtk-gnash /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:sandbox_web_client_t:s0:
Target Context                unconfined_u:object_r:mozilla_plugin_tmpfs_t:s0
Target Objects                pulse-shm-3806488092 [ file ]
Source                        gtk-gnash
Source Path                   /usr/bin/gtk-gnash
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           gnash-0.8.10-8.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-63.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.9-302.fc19.x86_64 #1 SMP Sat
                              Jul 6 13:41:07 UTC 2013 x86_64 x86_64
Alert Count                   4
First Seen                    2013-07-20 12:12:49 CEST
Last Seen                     2013-07-20 12:12:50 CEST
Local ID                      ef498f48-324b-4503-912f-75f1aed15508

Raw Audit Messages
type=AVC msg=audit(1374315170.761:472): avc:  denied  { read } for  pid=3528 comm="gtk-gnash" name="pulse-shm-3806488092" dev="tmpfs" ino=68550 scontext=unconfined_u:unconfined_r:sandbox_web_client_t:s0:c236,c423 tcontext=unconfined_u:object_r:mozilla_plugin_tmpfs_t:s0 tclass=file

type=SYSCALL msg=audit(1374315170.761:472): arch=x86_64 syscall=open success=no exit=EACCES a0=7fff0bd70b90 a1=a0000 a2=0 a3=0 items=0 ppid=3511 pid=3528 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=(none) comm=gtk-gnash exe=/usr/bin/gtk-gnash subj=unconfined_u:unconfined_r:sandbox_web_client_t:s0:c236,c423 key=(null)

Hash: gtk-gnash,sandbox_web_client_t,mozilla_plugin_tmpfs_t,file,read

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.9-302.fc19.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-07-22 06:36:29 EDT
Ok and do you have also opened a video outside of sandbox?
Comment 2 Daniel Walsh 2013-07-22 15:44:40 EDT
If everything works we should dontaudit this.
Comment 3 Eric Seynaeve 2013-09-05 05:27:58 EDT
Sorry for the late reply, must have missed the mails.

Miroslav, yes, I can play video's fine outside of the sandbox (normal Firefox, Tor browser or VLC).

I just tried with a video again and the problem remains (all F19 updates are applied).

How can I help with more bug reporting ?


Comment 4 Daniel Walsh 2013-09-05 11:15:13 EDT
If you add the rules using audit2allow, does the sound work?
Comment 5 Daniel Walsh 2013-09-05 11:18:07 EDT
4497d91296136a7daf4ad7b4246d014dcac68317 should fix this in git.
Comment 6 Miroslav Grepl 2013-09-05 16:59:01 EDT
Ok, I was able to reproduce it. It is needed. Back ported.
Comment 7 Fedora Update System 2013-09-09 03:53:37 EDT
selinux-policy-3.12.1-74.2.fc19 has been submitted as an update for Fedora 19.
Comment 8 Fedora Update System 2013-09-09 19:56:50 EDT
Package selinux-policy-3.12.1-74.2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-74.2.fc19'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-09-11 21:53:04 EDT
selinux-policy-3.12.1-74.2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.